Subject: bug#16884: 24.3.50; desktop-read should not die on non-existing directories

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Feb 2014 20:20:29 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Wed, 26 Feb 2014 18:47:18 +0100
> Cc: Sam Steingold <[email-masked]>, [email-masked]
> 
> On Wed, Feb 26, 2014 at 6:35 PM, Glenn Morris <[email-masked]> wrote:
> 
> > PS maybe just stick a with-demoted-errors in dired-restore-desktop-buffer.
> 
> I don't think it is in fact related to desktop. If I call
> 
>   (dired-restore-desktop-buffer nil "*" '("C:/Windows/temp/foo/*"))
> 
> it doesn't fail. The problem seems to be that (dired
> "/some/path/with/empty/dir/*") is failing for you (y'all, I mean ;-),
> while it works on Windows. Can you try this without desktop.el?

Dired on Windows uses ls-lisp.el, not a real ls program.